Bug 2276535 - Review Request: redfish-finder - Redfish enabled BMC configuration service
Summary: Review Request: redfish-finder - Redfish enabled BMC configuration service
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/nhorman/redfish-fi...
Whiteboard: Unretirement
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-04-22 22:11 UTC by Joel Savitz
Modified: 2024-05-22 02:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Joel Savitz 2024-04-22 22:11:06 UTC
Spec URL: https://raw.githubusercontent.com/theyoyojo/redfish-finder-review/master/redfish-finder.spec
SRPM URL: https://github.com/theyoyojo/redfish-finder-review/raw/master/redfish-finder-0.4-6.fc41.src.rpm
Description: Utility for parsing SMBIOS information and configuring canonical BMC access
Fedora Account System Username: theyoyojo

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=116748477

Old package review: https://bugzilla.redhat.com/show_bug.cgi?id=1634912

Requesting to revive redfish-finder in Fedora

Comment 1 Joel Savitz 2024-05-02 17:12:48 UTC
Hey, can someone take a look at this?

Comment 2 Robert-André Mauchin 🐧 2024-05-20 17:46:35 UTC
> Release: 6%{?dist}

You could use %autorelease

> License: GPLv2

Please use SPDX format

> Source0: %url/archive/V%{version}/%{name}-%{version}.tar.gz

Drop the 0 after Source nowadays

> Patch0: redfish-finder-python3.patch

Document the patch, what is it for? Is it upstreamed? If yes link to it.

> Requires: python3 NetworkManager dmidecode

Split this one per line please.

> BuildRequires: systemd

Unless rare can, you generally just need:

BuildRequires: systemd-rpm-macros

> %{?systemd_requires}

This is rarely needed too

The %{?systemd_requires} macro is a shortcut to require systemd for the %pre, %post, and %postun scriptlets. Note that those dependencies are not required for the %systemd_{post,preun,postun_with_restart,user_post,user_preun} macros listed above.

> %changelog

You could use %autochangelog here too.

Comment 3 Robert-André Mauchin 🐧 2024-05-21 04:02:07 UTC
SPDX:  GPL-2.0-only

> BuildRequires: systemd

Unless rare cases, you generally just need:

BuildRequires: systemd-rpm-macros


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- The License field must be a valid SPDX expression.
  Note: Not a valid SPDX expression 'GPLv2'. It seems that you are using
  the old Fedora license abbreviations. Try `license-fedora2spdx' for
  converting it to SPDX.
  See: https://fedoraproject.org/wiki/Changes/SPDX_Licenses_Phase_1
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/redfish-finder
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Naming/#_conflicting_package_names


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GNU General Public License, Version 2", "Unknown or
     generated", "*No copyright* GNU General Public License, Version 2". 5
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/redfish-finder/review-redfish-
     finder/licensecheck.txt
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[X]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in redfish-finder
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 2628 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: redfish-finder-0.4-6.fc41.noarch.rpm
          redfish-finder-0.4-6.fc41.src.rpm
============================================================================================================== rpmlint session starts ==============================================================================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpuatovehl')]
checks: 32, packages: 2

redfish-finder.noarch: E: spelling-error ('localhost', '%description -l en_US localhost -> local host, local-host, holocaust')
redfish-finder.src: E: spelling-error ('localhost', '%description -l en_US localhost -> local host, local-host, holocaust')
========================================================================= 2 packages and 0 specfiles checked; 2 errors, 0 warnings, 7 filtered, 2 badness; has taken 0.2 s =========================================================================

Comment 4 Joel Savitz 2024-05-21 20:12:35 UTC
I updated the spec and SRPM per your comments:

https://raw.githubusercontent.com/theyoyojo/redfish-finder-review/master/redfish-finder.spec
https://github.com/theyoyojo/redfish-finder-review/raw/master/redfish-finder-0.4-1.fc40.src.rpm

I'm using an existing package name because I'd like to un-orphan the unmaintained redfish-finder package.

Comment 5 Fedora Review Service 2024-05-21 20:18:33 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7473475
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2276535-redfish-finder/fedora-rawhide-x86_64/07473475-redfish-finder/fedora-review/review.txt

Found issues:

- A package with this name already exists. Please check https://src.fedoraproject.org/rpms/redfish-finder
  Read more: https://docs.fedoraproject.org/en-US/packaging-guidelines/Naming/#_conflicting_package_names

Please know that there can be false-positives.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 6 Robert-André Mauchin 🐧 2024-05-22 02:18:54 UTC
Package approved.


Note You need to log in before you can comment on or make changes to this bug.